/**
 *****************************************************************************
   @example  SysTick.h
   @brief    Example of how to use the SysTick timer on the ADuCM360.

   @version V0.1
   @author  ADI
   @date    August 2017

   @par     Revision History:

All files for ADuCM360/361 provided by ADI, including this file, are
provided  as is without warranty of any kind, either expressed or implied.
The user assumes any and all risk from the use of this code.
It is the responsibility of the person integrating this code into an application
to ensure that the resulting application performs as required and is safe.
**/

#ifndef __SYSTICK_H__
#define __SYSTICK_H__

#define TIMER_FREQUENCY_HZ (1000u)	//Specify the SysTick frequency.

extern volatile uint32_t timer_delayCount;

extern void timer_start (void);

extern void timer_sleep (uint32_t ticks);

#endif /* __SYSTICK_H__ */
